<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Our Favorite Thing is My Favorite Thing is Monsters: Free Comic Book Day 2019</Series>
  <Web>https://www.comixology.com/FCBD-Our-Favorite-Thing-is-My-Favorite-Thing-is-Monsters/digital-comic/767933</Web>
  <Summary>Emil Ferris's runaway smash hit My Favorite Thing Is Monsters has been the graphic novel event of the decade and for this year's Free Comic Book Day, Ferris has delivered something truly special: an all-new, 16-page Monsters story exclusive to FCBD readers. Additionally, Our Favorite Thing Is My Favorite Thing Is Monsters features two other Ferris short stories never before collected: a six-page autobiographical story about the harrowing circumstances that led to the creation of My Favorite Thing Is Monsters, as well as a five-page "how to" strip appropriately titled, "How To Draw a Monster"!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB767933]</Notes>
  <Publisher>Fantagraphics</Publisher>
  <Genre>Historical, Leading Ladies, Crime</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation>mv-DCP</ScanInformation>
</ComicInfo>
